Subject: Re: Consequences of CRLF in index?

From: Lars Schneider <[email-masked]>
Date: Thu, 26 Oct 2017 13:01:25 +0200

> On 26 Oct 2017, at 09:09, Johannes Sixt <[email-masked]> wrote:
> 
> Am 25.10.2017 um 14:19 schrieb Johannes Schindelin:
>> I envy you for the blessing of such a clean C++ source that you do not
>> have any, say, Unix shell script in it. Try this, and weep:
>> 	$ printf 'echo \\\r\n\t123\r\n' >a1
>> 	$ sh a1
>> 	a1: 2: a1: 123: not found
> 
> I was bitten by that, too. For this reason, I ensure that shell scripts and Makefiles begin their life on Linux. Fortunately, modern editors on Windows, includ^Wand vi, do not force CRLF line breaks, and such files can be edited on Windows, too.

Wouldn't this kind of .gitattributes setup solve the problem?

*     -text
*.sh   text eol=lf

Thanks,
Lars